#ifndef CASSINITOOLS_H
#define CASSINITOOLS_H

#include <QObject>
#include <QWidget>
#include <qlopservice.h>
#include <cassinitoolsgui.h>
#include <cassinidatafile.h>
#include <qlopdata.h>
#include <SocExplorerPlot.h>

class CassiniTools: public QLopService
{
    Q_OBJECT
private:
    static CassiniTools* _self;
    static QDockWidget* m_gui;
    static CassiniToolsGUI* m_CassiniToolsGUI;
    static CassiniDataFile* m_dataFile;
    static int m_defaultPlot;
    CassiniTools(bool noGUI=false, QObject *parent=0);
    ~CassiniTools();
    static void makePlot();
public:
    static void init(bool noGUI=false,QObject *parent = 0);
    static CassiniTools *self();
    static void decodeFGMData(const QString& file);
    // QLopService methodes
    QDockWidget* getGUI();
    const QString& serviceName();
    static void plotFile(const QString &File);
public slots:
    void plot_TAB_File(const QString& fileName);
    void export_view(int PID);
private slots:
    void dataReady(QLopDataList data);
};

#endif // CASSINITOOLS_H

